
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>HDU 4587 无向图的割点 / 憋错料</title>

    <meta name="description" content="HDU 4587 无向图的割点 TWO NODES Time Limit: 24000/12000 MS (Java/Others)    Memory Limit: 65535/32768 K (Java/Others)Total Submission(s): 1137    Accepted Submission(s): 333 Problem Description Suppose that G is an undirected graph, and the value of stab is defined as fol">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">HDU 4587 无向图的割点</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<h1>TWO NODES</h1>
<p><strong>Time Limit: 24000/12000 MS (Java/Others)&nbsp;&nbsp;&nbsp;&nbsp;Memory Limit: 65535/32768 K (Java/Others)<br />Total Submission(s): 1137&nbsp;&nbsp;&nbsp;&nbsp;Accepted Submission(s): 333<br /></strong></p>
<p>Problem Description</p>
<p>Suppose that G is an undirected graph, and the value of&nbsp;<strong>stab</strong>&nbsp;is defined as follows:<br /><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvYWNtLmhkdS5lZHUuY24vZGF0YS9pbWFnZXMvQzQ3NS0xMDAyLTEuanBn.jpg" /><br />Among the expression,G<sub>-i, -j</sub>&nbsp;is the remainder after removing node i, node j and all edges that are directly relevant to the previous two nodes.&nbsp;<strong>cntCompent</strong>&nbsp;is the number of connected components of X independently.<br />Thus, given a certain undirected graph G, you are supposed to calculating the value of&nbsp;<strong>stab</strong>.</p>

<p>Input</p>
<p>The input will contain the description of several graphs. For each graph, the description consist of an integer N for the number of nodes, an integer M for the number of edges, and M pairs of integers for edges (3&lt;=N,M&lt;=5000).<br />Please note that the endpoints of edge is marked in the range of [0,N-1], and input cases ends with EOF.</p>

<p>Output</p>
<p>For each graph in the input, you should output the value of&nbsp;<strong>stab</strong>.</p>

<p>Sample Input</p>
<p>4 5</p>
<p>0 1</p>
<p>1 2</p>
<p>2 3</p>
<p>3 0</p>
<p>0 2</p>

<p>Sample Output</p>
<p>2</p>

<p>题目意思：</p>
<p>一个无向图，有n个结点m条边，求删除两个结点剩下图中连通分量最多为多少个。</p>

<p>思路：</p>
<p>该题限制时间为12MS，不用多想了，暴力吧。。枚举删除的第一个结点，然后求出剩下图中割点及其儿子个数（即为删除该割点后多出的连通分量数），不断更新最大值。思路很简单，代码细节很多，wa了很多次。。。</p>

<p>代码：</p>
<pre> 1 #include &lt;cstdio&gt;
 2 #include &lt;cstring&gt;
 3 #include &lt;iostream&gt;
 4 #include &lt;algorithm&gt;
 5 #include &lt;vector&gt;
 6 #include &lt;queue&gt;
 7 using namespace std;
 8
 9 #define N 5005
10
11 vector&lt;int&gt;ve[N];
12 int dfn[N], low[N], visited[N];
13 int gd[N];
14 int n, m, dfn_clock, lt_num, root, son, del;
15
16 void tarjan(int u,int fa){
17     if(u==del) return;           //删除第一个点
18     int i, j, k;
19     dfn[u]=low[u]=dfn_clock++;
20     visited[u]=1;
21     for(i=0;i&lt;ve[u].size();i++){
22         int v=ve[u][i];
23         if(v==del) continue;         //删除第一个点
24         if(v==fa) continue;
25         if(!visited[v]){
26             tarjan(v,u);
27             low[u]=min(low[u],low[v]);
28             if(u==root) son++;
29             else if(low[v]&gt;=dfn[u]) gd[u]++;   //对应割点儿子数目+1
30         }
31         else low[u]=min(low[u],dfn[v]);
32     }
33 }
34
35 main()
36 {
37      int i, j, k, x, y;
38      while(scanf("%d %d",&amp;n,&amp;m)==2){
39          for(i=0;i&lt;=n;i++) ve[i].clear();
40          while(m--){
41              scanf("%d %d",&amp;x,&amp;y);
42              ve[x].push_back(y);
43              ve[y].push_back(x);
44          }
45          int ans=-1;
46          for(i=0;i&lt;n;i++){         //枚举第一个删除的点
47              memset(visited,0,sizeof(visited));
48              memset(dfn,0,sizeof(dfn));
49              memset(gd,0,sizeof(gd));
50              visited[i]=1;
51              dfn_clock=lt_num=son=0;
52              del=i;
53              int maxson=0;
54
55              for(j=0;j&lt;n;j++){     //从剩下图中找删除的另一个点，另一个点必是割点
56                  if(!visited[j]){
57                      lt_num++;
58                  //    visited[j]=1;
59                      root=j;
60                      tarjan(j,-1);
61                      maxson=max(maxson,son);
62                      son=0;
63                  }
64              }
65              if(lt_num==n-1) lt_num--;      //在这wa了很多次，试试这个数据：5 0
66              for(j=0;j&lt;n;j++) ans=max(ans,gd[j]+lt_num);
67              ans=max(ans,maxson+lt_num-1);
68          }
69          printf("%d\n",ans);
70      }
71 }</pre>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-01 05:31:25 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/color/" title="color">color</a>, <a href="https://www.biecuoliao.com/tag/style/" title="style">style</a>, <a href="https://www.biecuoliao.com/tag/des/" title="des">des</a>, <a href="https://www.biecuoliao.com/tag/http/" title="http">http</a>, <a href="https://www.biecuoliao.com/tag/java/" title="java">java</a>, <a href="https://www.biecuoliao.com/tag/blog/" title="blog">blog</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>HDU 4587 无向图的割点的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/02gBq23.html" rel="bookmark">HDU 4587 TWO NODES 割点</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				题目链接: http://acm.hdu.edu.cn/showproblem.php?pid=4587 题意: 删除两个点,使连通块的数目最大化 题解: 枚举删除第一个点,然后对删除了第一个点的图跑割点更新答案. 代码: #include&lt;algorithm&gt; #include&lt;iostream&gt; #include&lt;cstring&gt; #include&lt;vector&gt; #include&lt;cstdio&gt; using namespace std; c			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/38rdmWM.html" rel="bookmark">hdu 4587 2013南京邀请赛B题&sol; &sol; 求割点后连通分量数变形。</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				题意:求一个无向图的,去掉两个不同的点后最多有几个连通分量. 思路:枚举每个点,假设去掉该点,然后对图求割点后连通分量数,更新最大的即可.算法相对简单,但是注意几个细节: 1:原图可能不连通. 2:有的连通分量只有一个点,当舍去该点时候,连通分量-1: 复习求割点的好题! #include&lt;iostream&gt; #include&lt;cstdio&gt; #include&lt;vector&gt; using namespace std; int n,m; vector&lt;vector&			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MVb6dpM.html" rel="bookmark">hdu 4587 判断孤立点&plus;割点&plus; 删除点之后，剩下多少连通分量</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				做了很久...... 题目链接:  http://acm.hdu.edu.cn/showproblem.php?pid=4587 先枚举删除的第一个点,第二个点就是找割点,没有割点当然也有答案 学到的: 1.图论硬套模板不太现实,比如这道题,我能想到孤立点是特殊情况,删除孤立点,连通分支个数会减少一,但是一直处理不好,最后按缩点的做法搞了, 判断是不是孤立点的方法: 就是先用一个数组scnt[i]=j,vv[j]++  表示点i在以j为祖先的联通分支里,而且每次都让vv[j]++,就使得vv[j			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0dAr9z3.html" rel="bookmark">UVA 315 Network（无向图求割点）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				题目大意 A Telephone Line Company (TLC) is establishing a new telephone cable network. They are connecting several places numbered by integers from 1 to N. No two places have the same number. The lines are bidirectional and always connect together two pl			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/49WN8v0.html" rel="bookmark">hdu 2242 无向图&sol;求用桥一分为二后使俩个bcc点权值和之差最小并输出 &sol;缩点&plus;2次新图dfs</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				题意如标题所述, 先无向图缩点,统计出每个bcc权,建新图,然后一遍dfs生成树,标记出每个点(新图)以及其子孙的权值之和.这样之后就可以dfs2来枚举边(原图的桥),更新最小即可. 调试了半天!原来是建老图时候链式前向星和新图的vector&lt;vector&lt; int&gt;&gt;俩种存图搞乱了!!!不可原谅!哎!愚蠢!愚不可及!提交后1A. 后来百度之后,发现说是用树形dp,看了代码解法,竟然和我的是一样的算法..原来这种算法可以叫树形dp...的确有点dp味道..不过感觉不太浓.. 以后多			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MVmLnz4.html" rel="bookmark">POJ 1144 无向图的割点</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Network Time Limit: 1000MS   Memory Limit: 10000K Total Submissions: 10207   Accepted: 4744 Description A Telephone Line Company (TLC) is establishing a new telephone cable network. They are connecting several places numbered by integers from 1 to N			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MPOrqa4.html" rel="bookmark">Uva 315 求无向图的割点的个数</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				http://uva.onlinejudge.org/index.php?option=com_onlinejudge&amp;Itemid=8&amp;page=show_problem&amp;problem=251 A Telephone Line Company (TLC) is establishing a new telephone cable network. They are connecting several places numbered by integers from 1 to 			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MyD2vj4.html" rel="bookmark">求无向图的割点和桥</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				/** * 求 无向图的割点和桥 * 可以找出割点和桥,求删掉每个点后增加的连通块. * 需要注意重边的处理,可以先用矩阵存,再转邻接表,或者进行判重 * 调用solve输出割点数,全局变量bridge记录边的个数 */ #include &lt;stdio.h&gt; #include &lt;string.h&gt; #include &lt;algorithm&gt; #include &lt;iostream&gt; using namespace std; const int maxn=1001			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0axAYnM.html" rel="bookmark">hdu 4738  无向图缩点断桥 &sol;&sol; 细节坑题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Caocao's Bridges 题意:给个无向图,求出边权最小的桥. 一看,直接缩点,若无桥,输出-1,有桥,遍历下边,更新最小..分分钟搞定,以为IA的..一交wa... 坑点:1:若原图不连通,则无须派人去!输出0!: 2:若桥的权是0,则还有派一个人把炸弹拿去,输出1! 3:有重边.(按多条边算). 哎!记住这个教训!以后做题 1:考虑边界或者特殊数据!(边权为0!n==1等) 2:考虑原图连通性!(这次考虑了原图就强连通..没有考虑根本不连通!) 3:重边.这题的重边是按重边算(不是一			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/k0eXBaM.html" rel="bookmark" class="title">Matlab画图的输出格式</a>
					<div>
						利用Matlab命令,可以输出.eps, .pdf格式的图形.有时候,在图形窗口直接保存会导致图形不完整,这时,可以用如下命令代替: saveas(p1, 't1.eps'); saveas(p1,  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4NJoX84.html" rel="bookmark" class="title">【学习笔记】【C语言】位运算</a>
					<div>
						1. &amp; 按位与 1&gt; 功能 只有对应的两个二进位均为1时,结果位才为1,否则为0. 2&gt; 举例: 比如9&amp;5,其实就是1001&amp;101=1,因此9&amp;5=1 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3ZVEkZ3.html" rel="bookmark" class="title">vs2010问题 error MSB8008&colon; 指定的平台工具集&lpar;v110&rpar;未安装或无效</a>
					<div>
						vs2012上的项目导入到vs2010中,编译出现 1&gt;------ 已启动生成: 项目: HelloGame.win32, 配置: Debug Win32 ------ 1&gt;生成启动时间 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MP8ZynM.html" rel="bookmark" class="title">Apache负载均衡之mod&lowbar;proxy模块的代理功能</a>
					<div>
						本次只是先在实验环境下实现Apache做代理,实现的过程比较简单,本人在一台虚拟机上(IP:192.168.1.116)使用yum安装了httpd,php和tomcat,apache-tomcat-7 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3rEypw0.html" rel="bookmark" class="title">Redis的九大应用场景</a>
					<div>
						毫无疑问,Redis开创了一种新的数据存储思路,使用Redis,我们不用在面对功能单调的数据库时,把精力放在如何把大象放进冰箱这样的问题上,而是利用Redis灵活多变的数据结构和数据操作,为不同的大象 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0j7Qke3.html" rel="bookmark" class="title">linux 代码更新-打包-重启脚本</a>
					<div>
						#! /bin/sh base=/home/project/myblog cd $base git pull if [ ! $? -eq 0 ] then echo &quot;Error in gi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3qvaYP4.html" rel="bookmark" class="title">《白帽子讲WEB安全》学习笔记之第6章 HTML 5 安全</a>
					<div>
						第6章 HTML 5 安全 6.1 HTML 5新标签 6.1.1 新标签的XSS HTML5定义了新的标签.新的事件,这就有可能带来新的XSS攻击.所以黑白名单需要时常更新. 6.1.2 ifram ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4ARE25M.html" rel="bookmark" class="title">送花（洛谷 2073）</a>
					<div>
						题目背景 小明准备给小红送一束花,以表达他对小红的爱意.他在花店看中了一些花,准备用它们包成花束. 题目描述 这些花都很漂亮,每朵花有一个美丽值W,价格为C. 小明一开始有一个空的花束,他不断地向里面 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MWYeal3.html" rel="bookmark" class="title">软件工程&lowbar;9th weeks</a>
					<div>
						PSP DATE START_TIME END_TIME EVENT TYPE       TIME 4.30-5.3 5:30 4:00 旅游 娱乐       72h 5.3 14:00 17:0 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MGPQWy0.html" rel="bookmark" class="title">CentOS 7如何设置Linux开机自动获取IP地址</a>
					<div>
						centos7 minimal版默认安装好后没有获取ip地址,需要手动配置.方法如下: 1.输入“ip addr”并按回车键确定,发现无法获取IP(CentOS 7默认没有ifconfig命令),记录 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3ZDXkLM.html" rel="bookmark" class="title">线程（Thread，ThreadPool）、Task、Parallel</a>
					<div>
						线程(Thread.ThreadPool) 线程的定义我想大家都有所了解,这里我就不再复述了.我这里主要介绍.NET Framework中的线程(Thread.ThreadPool). .NET Fr ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0RwqZY3.html" rel="bookmark" class="title">linux命令大全详解</a>
					<div>
						#!/bin/bash if [[ &quot;$(whoami)&quot; != &quot;root&quot; ]]; then echo &quot;Please run this scri ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0RwJrp3.html" rel="bookmark" class="title">深入浅出 Java Concurrency &lpar;5&rpar;&colon; 原子操作 part 4&lbrack;转&rsqb;</a>
					<div>
						在JDK 5之前Java语言是靠synchronized关键字保证同步的,这会导致有锁(后面的章节还会谈到锁). 锁机制存在以下问题: (1)在多线程竞争下,加锁.释放锁会导致比较多的上下文切换和调度 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Mo5QKw3.html" rel="bookmark" class="title">android ActionBar&lpar;官方指导&rpar;</a>
					<div>
						安装ActionBar: Support Android 3.0 and Above Only(仅支持3.0版本之后) &lt;manifest ... &gt; &lt;uses-sdk andro ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3OZnRX0.html" rel="bookmark" class="title">iOS开发时间戳与时间NSDate，时区的转换，汉字与UTF8&comma;16进制的转换</a>
					<div>
						http://blog.sina.com.cn/s/blog_68661bd80101njdo.html 标签: ios时间戳 ios开发时间戳 ios16进制转中文 ios开发utf8转中文 ios ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4NnXl84.html" rel="bookmark" class="title">新年新技术&colon;MongoDB 3&period;0</a>
					<div>
						前一篇介绍了HTTP/2,这一篇简单介绍下3月3号发布的MongoDB 3.0. What’s new in MongoDB 3.0? 新的存储引擎WiredTiger MongoDB 3.0的存储引 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0aR5KQ3.html" rel="bookmark" class="title">MongoDB之Java测试代码（DAO层）</a>
					<div>
						MongoInit.java是数据库初始化及连接类 MongoUtils.java是对mongodb的各种操作方法 MongoInit.java package com.wlwcloud.datate ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4AE8gd4.html" rel="bookmark" class="title">计划看的书目</a>
					<div>
						&lt;平凡的世界&gt; 作者:路遥 &lt;穆斯林的葬礼&gt; 作者:霍达 &lt;挪威的森林&gt; 作者:村上春树 &lt;基督山伯爵&gt; 作者:大仲马 &lt;教父&gt; 作者:马里 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0lN7Dp4.html" rel="bookmark" class="title">Linux下的网络管理工具&mdash;OpenNMS</a>
					<div>
						导读 OpenNMS的是一个运营商级别的,高度集成的,开放源码的平台,用于构建网络监控解决方案.OpenNMS有两个发行版:Meridian and Horizon.使用Meridian是可取的,对企 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPJ1Nm3.html" rel="bookmark" class="title">Eclipse &sol; android studio 添加第三方jar包 步骤</a>
					<div>
						eclipse 将第三方包放到libs文件夹后并没有引用. 基本步骤分为3步,具体介绍如下: 打开自己的Eclipse,在自己的Android工程上名上右键-&gt;Build Path -&gt;C ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.023 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
